## code-saturne 5.2.0+repack

=== debian/changelog ===
code-saturne (5.2.0+repack-1build2) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:30:27 +0000

code-saturne (5.2.0+repack-1build1) cosmic; urgency=medium

  * No-change rebuild against openmpi 3

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 May 2018 10:33:01 +0000

code-saturne (5.2.0+repack-1) unstable; urgency=medium

  * Repack upstream tarball to drop generated documentation and translation
  * Fix python modules integration
  * Update debian/copyright

 -- Gilles Filippini <pini@debian.org>  Mon, 16 Apr 2018 23:44:39 +0200

code-saturne (5.2.0-1) experimental; urgency=medium

  * New upstream version
  * Upstream moved to github
  * Configure dh_autoreconf to use /sbin/bootstrap
  * Drop patch format-not-a-string-literal-and-no-format-arguments.patch
    (fixed upstream)

  * debian/control: make Vcs-* fields point to salsa.debian.org
  * debian/compat: bump compat level to 9

 -- Gilles Filippini <pini@debian.org>  Sun, 15 Apr 2018 22:41:40 +0200

code-saturne (5.1.3+repack-1) experimental; urgency=medium

  * New upstream release
  * code-saturne-include: Recommends: python

 -- Gilles Filippini <pini@debian.org>  Sat, 17 Feb 2018 23:12:49 +0100

code-saturne (5.1.1+repack-1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * Remove myself from the uploaders

  [ Gilles Filippini ]
  * New upstream release
  * Do not remove icons from tango-icon-theme anymore since their Public
    Domain status has been acknowledged
  * Update debian/copyright accordingly
  $ Remove doxygen-typo.patch (fixed upstream)

 -- Gilles Filippini <pini@debian.org>  Thu, 21 Dec 2017 22:13:03 +0100

code-saturne (5.1.0+repack-1) experimental; urgency=medium

  * New upstream release
  * New patches:
    - format-not-a-string-literal-and-no-format-arguments.patch: fix FTBFS
    - doxygen-typo.patch: fix a typo in doxygen text
  * Use public domain icons from package tango-icon-theme instead of
    upstream's old copy of a DFSG incompatible Tango release covered by
    CC-BY-SA 2.5
  * debian/copyright: machine readable copyright format

 -- Gilles Filippini <pini@debian.org>  Sat, 16 Dec 2017 11:12:34 +0100

=== debian/control ===
Source: code-saturne
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gilles Filippini <pini@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, cdbs, python-qt4,
 pyqt4-dev-tools, fig2ps, gfortran, autoconf,
 texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra,
# To build from upstream SVN source
  bison, flex, doxygen, graphviz,
# To help the configure detection on cs lib
  zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.3.0~), mpi-default-dev, libmedc-dev,
  libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
  chrpath, python, libscotch-dev, dh-autoreconf,
  tango-icon-theme, dh-python
Standards-Version: 3.9.7
Homepage: http://www.code-saturne.org/
Vcs-Git: https://salsa.debian.org/science-team/code-saturne.git
Vcs-Browser: https://salsa.debian.org/science-team/code-saturne

Package: code-saturne
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 code-saturne-bin (= ${binary:Version}),
 code-saturne-data (= ${source:Version}),
 code-saturne-include (= ${binary:Version}), python-qt4
Recommends: syrthes, bash-completion, paraview, pdf-viewer, code-saturne-doc
Description: General purpose Computational Fluid Dynamics (CFD) software
 The basic capabilities of Code_Saturne enable the handling of either
 incompressible or expandable flows with or without heat transfer and
 turbulence. Dedicated modules are available for specific physics such
 as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
 magneto-hydrodynamics, compressible flows, two-phase flows
 (Euler-Lagrange approach with two-way coupling), extensions to
 specific applications (e.g. Mercure_Saturne for atmospheric
 environment).
 .
 It runs in parallel with MPI on distributed memory machines.
 Developed since 1997 at EDF R&D, it is based on a co-located Finite
 Volume approach that accepts meshes with any type of cell
 (tetrahedral, hexahedral, prismatic, pyramidal, polyhedral...) and any
 type of grid structure (unstructured, block structured, hybrid,
 conforming or with hanging nodes, ...).


Package: code-saturne-bin
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python,
 libxml2-dev, libblas-dev
Recommends: code-saturne
Description: General purpose Computational Fluid Dynamics (CFD) software - binaries
 The basic capabilities of Code_Saturne enable the handling of either
 incompressible or expandable flows with or without heat transfer and
 turbulence. Dedicated modules are available for specific physics such
 as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
 magneto-hydrodynamics, compressible flows, two-phase flows
 (Euler-Lagrange approach with two-way coupling), extensions to
 specific applications (e.g. Mercure_Saturne for atmospheric
 environment).
 .
 It runs in parallel with MPI on distributed memory machines.
 Developed since 1997 at EDF R&D, it is based on a co-located Finite
 Volume approach that accepts meshes with any type of cell
 (tetrahedral, hexahedral, prismatic, pyramidal, polyhedral...) and any
 type of grid structure (unstructured, block structured, hybrid,
 conforming or with hanging nodes, ...).
 .
 This package contains the binary files.

Package: code-saturne-data
Priority: optional
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: code-saturne
Description: General purpose Computational Fluid Dynamics (CFD) software - data
 The basic capabilities of Code_Saturne enable the handling of either
 incompressible or expandable flows with or without heat transfer and
 turbulence. Dedicated modules are available for specific physics such
 as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
 magneto-hydrodynamics, compressible flows, two-phase flows
 (Euler-Lagrange approach with two-way coupling), extensions to
 specific applications (e.g. Mercure_Saturne for atmospheric
 environment).
 .
 It runs in parallel with MPI on distributed memory machines.
 Developed since 1997 at EDF R&D, it is based on a co-located Finite
 Volume approach that accepts meshes with any type of cell
 (tetrahedral, hexahedral, prismatic, pyramidal, polyhedral...) and any
 type of grid structure (unstructured, block structured, hybrid,
 conforming or with hanging nodes, ...).
 .
 This package contains the data.

Package: code-saturne-include
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libcgns-dev, libmedc-dev,
 libhdf5-dev, zlib1g-dev, mpi-default-dev, libxml2-dev
Replaces: code-saturne-data (<< 3.3.2-3)
Breaks: code-saturne-data (<< 3.3.2-3)
Description: General purpose Computational Fluid Dynamics (CFD) software - includes
 The basic capabilities of Code_Saturne enable the handling of either
 incompressible or expandable flows with or without heat transfer and
 turbulence. Dedicated modules are available for specific physics such
 as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
 magneto-hydrodynamics, compressible flows, two-phase flows
 (Euler-Lagrange approach with two-way coupling), extensions to
 specific applications (e.g. Mercure_Saturne for atmospheric
 environment).
 .
 It runs in parallel with MPI on distributed memory machines.
 Developed since 1997 at EDF R&D, it is based on a co-located Finite
 Volume approach that accepts meshes with any type of cell
 (tetrahedral, hexahedral, prismatic, pyramidal, polyhedral...) and any
 type of grid structure (unstructured, block structured, hybrid,
 conforming or with hanging nodes, ...).
 .
 This package contains the include files.

Package: code-saturne-doc
Priority: optional
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: General purpose Computational Fluid Dynamics (CFD) software - Documentation
 The basic capabilities of Code_Saturne enable the handling of either
 incompressible or expandable flows with or without heat transfer and
 turbulence. Dedicated modules are available for specific physics such
 as radiative heat transfer, combustion (gas, coal, heavy fuel oil, ...),
 magneto-hydrodynamics, compressible flows, two-phase flows
 (Euler-Lagrange approach with two-way coupling), extensions to
 specific applications (e.g. Mercure_Saturne for atmospheric
 environment).
 .
 It runs in parallel with MPI on distributed memory machines.
 Developed since 1997 at EDF R&D, it is based on a co-located Finite
 Volume approach that accepts meshes with any type of cell
 (tetrahedral, hexahedral, prismatic, pyramidal, polyhedral...) and any
 type of grid structure (unstructured, block structured, hybrid,
 conforming or with hanging nodes, ...).
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2009 Sylvestre Ledru <sylvestre@debian.org>

# Exclude cs_config.py from package code-saturne-data:
# It should go into code-saturne-include.
# Exclude extra license file COPYING as well.
binary-install/code-saturne-data:: DEB_DH_INSTALL_ARGS := -Xcs_config.py -XCOPYING

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

# Which MPI implementation?
# set ARCH_DEFAULT_MPI_IMPL
include /usr/share/mpi-default-dev/debian_defaults

DEB_CONFIGURE_USER_FLAGS := --with-mpi --libexecdir=/usr/lib/

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)/libhdf5.so),)
  DEB_CONFIGURE_USER_FLAGS += \
	--with-hdf5-include=/usr/include/hdf5/$(ARCH_DEFAULT_MPI_IMPL) \
	--with-hdf5-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)
endif

#--libdir=/usr/lib/code-saturne
DEB_MAKE_CLEAN_TARGET    := distclean
DEB_MAKE_BUILD_TARGET    := all
DEB_MAKE_INSTALL_TARGET  := install DESTDIR=`pwd`/debian/tmp
DEB_COMPRESS_EXCLUDE := .pdf .xml .des .f90 .c

# Enable parallel build when available
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif	

DEB_DH_AUTORECONF_ARGS := sbin/bootstrap

clean::
	rm -f src/apps/cs_solver
	cd libple/po && rm -f *.gmo *.pot stamp-po
	cd po && rm -f *.gmo *.pot stamp-po
	rm -f src/base/cdomod.mod
	rm -f src/user_examples/user_module.mod
	rm -fr libple/build-aux
	# Uncomment when testing two builds in a row
	#echo "abort-on-upstream-changes" >debian/source/local-options

install/code-saturne-bin::
	chrpath -d debian/tmp/usr/lib/lib*.so* debian/tmp/usr/lib/code_saturne/cs*

binary-install/code-saturne-data::
	chmod +x debian/code-saturne-data/usr/share/code_saturne/runcase*
	find debian/code-saturne-data -type f \( -name \*.pyc -o -name \*.pyo \) -delete
	dh_python2 -pcode-saturne-data

binary-install/code-saturne-include::
	dh_python2 -pcode-saturne-include

build/code-saturne-doc::
	$(MAKE) html
	$(MAKE) pdf

## code-saturne 5.2.1+repack

=== debian/changelog ===
code-saturne (5.2.1+repack-1build1) disco; urgency=medium

  * Rebuild against new libhdf5-103.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Dec 2018 11:41:13 +0100

code-saturne (5.2.1+repack-1) unstable; urgency=medium

  * New upstream version

 -- Gilles Filippini <pini@debian.org>  Tue, 09 Oct 2018 00:28:36 +0200

## code-saturne 5.3.1+repack

=== debian/changelog ===
code-saturne (5.3.1+repack-5) unstable; urgency=medium

  * Use dh sequencer instead of cdbs
  * Compat level 11
  * code-saturne-doc: install ple documentation
  * Reproducible builds:
    - Disable rpath at build time
    - Set the pdf date after SOURCE_DATE_EPOCH
    - Drop dpkg-buildflags from ple-config and cs_config.py
    - Build path cleanup in the generated documentation

 -- Gilles Filippini <pini@debian.org>  Wed, 16 Jan 2019 11:12:18 +0100

code-saturne (5.3.1+repack-4) unstable; urgency=medium

  * New patch to fix MPI detection: configure should fail when MPI
    support is explicitly requested and MPI is not found.

 -- Gilles Filippini <pini@debian.org>  Sun, 06 Jan 2019 16:08:08 +0100

code-saturne (5.3.1+repack-3) unstable; urgency=medium

  * Fix MPI detection

 -- Gilles Filippini <pini@debian.org>  Sun, 06 Jan 2019 01:03:06 +0100

code-saturne (5.3.1+repack-2) unstable; urgency=medium

  * Move syrthes to Suggests from Recommends as this package won't make
    it in Buster
  * Bump Standards-Version to 4.3.0 (no changes)

 -- Gilles Filippini <pini@debian.org>  Wed, 26 Dec 2018 19:11:49 +0100

code-saturne (5.3.1+repack-1) unstable; urgency=medium

  * New upstream version

 -- Gilles Filippini <pini@debian.org>  Fri, 14 Dec 2018 07:37:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gilles Filippini <pini@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, cdbs, python-qt4,
+Build-Depends: debhelper (>= 11), dh-exec, dh-python, python-qt4,
  pyqt4-dev-tools, fig2ps, gfortran, autoconf,
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra,
 # To build from upstream SVN source
@@ -11,9 +11,8 @@
 # To help the configure detection on cs lib
   zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.3.0~), mpi-default-dev, libmedc-dev,
   libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
-  chrpath, python, libscotch-dev, dh-autoreconf,
-  tango-icon-theme, dh-python
-Standards-Version: 3.9.7
+  python, libscotch-dev, tango-icon-theme
+Standards-Version: 4.3.0
 Homepage: http://www.code-saturne.org/
 Vcs-Git: https://salsa.debian.org/science-team/code-saturne.git
 Vcs-Browser: https://salsa.debian.org/science-team/code-saturne
@@ -25,7 +24,8 @@
  code-saturne-bin (= ${binary:Version}),
  code-saturne-data (= ${source:Version}),
  code-saturne-include (= ${binary:Version}), python-qt4
-Recommends: syrthes, bash-completion, paraview, pdf-viewer, code-saturne-doc
+Recommends: bash-completion, paraview, pdf-viewer, code-saturne-doc
+Suggests: syrthes
 Description: General purpose Computational Fluid Dynamics (CFD) software
  The basic capabilities of Code_Saturne enable the handling of either
  incompressible or expandable flows with or without heat transfer and

=== debian/rules ===
#!/usr/bin/make -f

# Which MPI implementation?
# set ARCH_DEFAULT_MPI_IMPL
include /usr/share/mpi-default-dev/debian_defaults

DEB_CONFIGURE_USER_FLAGS := --with-mpi --libexecdir=/usr/lib/ --disable-rpath

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)/libhdf5.so),)
  DEB_CONFIGURE_USER_FLAGS += \
	--with-hdf5-include=/usr/include/hdf5/$(ARCH_DEFAULT_MPI_IMPL) \
	--with-hdf5-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL) \
	--with-mpi-include=/usr/include/$(DEB_HOST_MULTIARCH)/mpi
endif

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -- distclean
	rm -f debian/epoch.tex
	rm -f src/apps/cs_solver
	cd libple/po && rm -f *.gmo *.pot stamp-po
	cd po && rm -f *.gmo *.pot stamp-po
	rm -f src/base/cdomod.mod
	rm -f src/user_examples/user_module.mod
	rm -fr libple/build-aux
	# Uncomment when testing two builds in a row
	#echo "abort-on-upstream-changes" >debian/source/local-options

override_dh_autoreconf:
	dh_autoreconf sbin/bootstrap

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_USER_FLAGS)
	# Drop dpkg-buildflags from ple-config to improve reproducibility
	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e '/^build_$(shell echo $(flags) | tr A-Z a-z)=/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g')//') \
	  libple/ple-config

override_dh_auto_build-indep:
	$(MAKE) -C libple doc
	# Force source date in pdf (instead of compile date)
	echo "$(shell date -d@$(SOURCE_DATE_EPOCH) "+\year=%Y\n\month=%m")" >debian/epoch.tex
	$(MAKE) html
	$(MAKE) pdf

override_dh_auto_install:
	dh_auto_install -- install install-doc
	# Fix location of the ple doc and fix paths
	mv debian/tmp/usr/share/doc/ple/doxygen debian/tmp/usr/share/doc/code_saturne/doxygen/ple
	sed -i 's:$(CURDIR)/docs/doxygen/ple.tag:/usr/share/doc/code-saturne/doxygen/ple/ple.tag:' debian/tmp/usr/share/doc/code_saturne/doxygen/src/html/index.html
	find debian/tmp/usr/share/doc/code_saturne/doxygen/src/html -type f \
	  -exec grep -q '/usr/share/doc/ple/doxygen' {} \; \
	  -exec sed -i 's:/usr/share/doc/ple/doxygen:/usr/share/doc/code-saturne/doxygen/ple:g' {} \; \
	  -print
	sed -i 's:$(CURDIR)/::g' debian/tmp/usr/share/doc/code_saturne/doxygen/ple/ple.tag
	# Restore self.rpath in cs_config.py
	sed -i 's/self\.rpath = "" #/self.rpath =/' debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
	# Drop dpkg-buildflags from cs_config.py
	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e "/'$(shell echo $(flags) | tr A-Z a-z)':/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g')//") \
	  debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py

override_dh_install-arch:
	dh_install -a
	dh_python2 -pcode-saturne-include

override_dh_install-indep:
	# Exclude cs_config.py from package code-saturne-data:
	# It should go into code-saturne-include.
	# Exclude extra license file COPYING as well.
	dh_install -i -Xcs_config.py -XCOPYING
	chmod +x debian/code-saturne-data/usr/share/code_saturne/runcase*
	find debian/code-saturne-data -type f \( -name \*.pyc -o -name \*.pyo \) -delete
	dh_python2 -pcode-saturne-data

override_dh_installdocs:
	dh_installdocs -A AUTHORS

override_dh_compress:
	dh_compress -X.pdf -X.xml -X.des -X.f90 -X.c -X.tag

## code-saturne 5.3.2+repack

=== debian/changelog ===
code-saturne (5.3.2+repack-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied upstream:
    - fix-doxygen-conf.patch
    - fix-autoconf-mpi.patch
  * d/rules: update clean target

 -- Gilles Filippini <pini@debian.org>  Sat, 02 Feb 2019 16:43:25 +0100

code-saturne (5.3.1+repack-8) unstable; urgency=medium

  * New patch fix-doxygen-conf.patch to avoid full source path remaining
    into the doxygen generated documentation
  * Fix double doc install

 -- Gilles Filippini <pini@debian.org>  Sun, 20 Jan 2019 00:30:43 +0100

code-saturne (5.3.1+repack-7) unstable; urgency=medium

  * dedian/rules:
    - Use /bin/echo to generate epoch.tex, to achieve the same behavior
      whatever the default shell is
    - Separate targets for arch independent builds

 -- Gilles Filippini <pini@debian.org>  Thu, 17 Jan 2019 23:26:22 +0100

code-saturne (5.3.1+repack-6) unstable; urgency=medium

  * Fix FTBFS when building architecture specific packages only

 -- Gilles Filippini <pini@debian.org>  Wed, 16 Jan 2019 15:02:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,14 +19,9 @@
 override_dh_auto_clean:
 	dh_auto_clean -- distclean
 	rm -f debian/epoch.tex
-	rm -f src/apps/cs_solver
 	cd libple/po && rm -f *.gmo *.pot stamp-po
 	cd po && rm -f *.gmo *.pot stamp-po
-	rm -f src/base/cdomod.mod
-	rm -f src/user_examples/user_module.mod
 	rm -fr libple/build-aux
-	# Uncomment when testing two builds in a row
-	#echo "abort-on-upstream-changes" >debian/source/local-options
 
 override_dh_autoreconf:
 	dh_autoreconf sbin/bootstrap
@@ -37,15 +32,24 @@
 	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e '/^build_$(shell echo $(flags) | tr A-Z a-z)=/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g')//') \
 	  libple/ple-config
 
-override_dh_auto_build-indep:
-	$(MAKE) -C libple doc
+override_dh_auto_build-arch:
+	dh_auto_build
+
+override_dh_auto_build-indep: override_dh_auto_build-arch
 	# Force source date in pdf (instead of compile date)
-	echo "$(shell date -d@$(SOURCE_DATE_EPOCH) "+\year=%Y\n\month=%m")" >debian/epoch.tex
-	$(MAKE) html
-	$(MAKE) pdf
+	/bin/echo -e "$(shell date -d@$(SOURCE_DATE_EPOCH) "+\year=%Y\n\month=%m")" >debian/epoch.tex
+	dh_auto_build -- doc
 
-override_dh_auto_install:
-	dh_auto_install -- install install-doc
+override_dh_auto_install-arch:
+	dh_auto_install
+	# Restore self.rpath in cs_config.py
+	sed -i 's/self\.rpath = "" #/self.rpath =/' debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
+	# Drop dpkg-buildflags from cs_config.py
+	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e "/'$(shell echo $(flags) | tr A-Z a-z)':/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g')//") \
+	  debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
+
+override_dh_auto_install-indep: override_dh_auto_install-arch
+	$(MAKE) install-doc DESTDIR=$(CURDIR)/debian/tmp
 	# Fix location of the ple doc and fix paths
 	mv debian/tmp/usr/share/doc/ple/doxygen debian/tmp/usr/share/doc/code_saturne/doxygen/ple
 	sed -i 's:$(CURDIR)/docs/doxygen/ple.tag:/usr/share/doc/code-saturne/doxygen/ple/ple.tag:' debian/tmp/usr/share/doc/code_saturne/doxygen/src/html/index.html
@@ -54,11 +58,6 @@
 	  -exec sed -i 's:/usr/share/doc/ple/doxygen:/usr/share/doc/code-saturne/doxygen/ple:g' {} \; \
 	  -print
 	sed -i 's:$(CURDIR)/::g' debian/tmp/usr/share/doc/code_saturne/doxygen/ple/ple.tag
-	# Restore self.rpath in cs_config.py
-	sed -i 's/self\.rpath = "" #/self.rpath =/' debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
-	# Drop dpkg-buildflags from cs_config.py
-	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e "/'$(shell echo $(flags) | tr A-Z a-z)':/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g')//") \
-	  debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
 
 override_dh_install-arch:
 	dh_install -a

## code-saturne 5.3.3+repack

=== debian/changelog ===
code-saturne (5.3.3+repack-2) unstable; urgency=medium

  * Fix FTBFS against GCC-9 (closes: #925654)

 -- Gilles Filippini <pini@debian.org>  Sat, 17 Aug 2019 14:32:51 +0200

code-saturne (5.3.3+repack-1) unstable; urgency=medium

  * New upstream release

 -- Gilles Filippini <pini@debian.org>  Mon, 12 Aug 2019 17:38:27 +0200

code-saturne (5.3.2+repack-2) unstable; urgency=medium

  * Fix dpkg-buildflags substitution for cs_config.py (closes: #925188)

 -- Gilles Filippini <pini@debian.org>  Sat, 23 Mar 2019 21:52:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	# Restore self.rpath in cs_config.py
 	sed -i 's/self\.rpath = "" #/self.rpath =/' debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
 	# Drop dpkg-buildflags from cs_config.py
-	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e "/'$(shell echo $(flags) | tr A-Z a-z)':/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g')//") \
+	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e "/'$(shell echo $(flags) | tr A-Z a-z)':/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g;s/^$$/^/')//") \
 	  debian/tmp/usr/lib/python*/dist-packages/code_saturne/cs_config.py
 
 override_dh_auto_install-indep: override_dh_auto_install-arch

## code-saturne 6.0.0

=== debian/changelog ===
code-saturne (6.0.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Thu, 17 Oct 2019 20:45:00 +0200

code-saturne (6.0.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * No more need to repack upstream tarball
  * Drop patch gcc-9.patch (fixed upstream)
  * Refresh patch pyrcc.patch
  * New patch format-nonliteral.patch to fix a -Wformat-nonliteral error

 -- Gilles Filippini <pini@debian.org>  Tue, 15 Oct 2019 22:42:50 +0200

code-saturne (5.3.3+repack-5) unstable; urgency=medium

  * Remove internal doxygen files from code-saturne-doc
  * Fix dependency on python3-pyqt5 and python3

 -- Gilles Filippini <pini@debian.org>  Mon, 26 Aug 2019 22:15:42 +0200

code-saturne (5.3.3+repack-4) unstable; urgency=medium

  * Generate the PyQt5 resources with QT_HASH_SEED=0 for reproducibility

 -- Gilles Filippini <pini@debian.org>  Sat, 24 Aug 2019 01:16:35 +0200

code-saturne (5.3.3+repack-3) unstable; urgency=medium

  * Build against python3 and qt5 (closes: #935342)

 -- Gilles Filippini <pini@debian.org>  Thu, 22 Aug 2019 19:16:10 +0200

## code-saturne 6.0.1

=== debian/changelog ===
code-saturne (6.0.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch format-nonliteral.patch

 -- Gilles Filippini <pini@debian.org>  Wed, 25 Dec 2019 17:44:10 +0100

## code-saturne 6.0.2

=== build-aux/catalyst/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
PROJECT(CoProcessingTest C CXX)

include(CMakeDependentOption)
find_package(ParaView REQUIRED)

if (NOT TARGET ParaView::PythonCatalyst)
  message(STATUS
    "${CMAKE_PROJECT_NAME} requires ParaView to be built with Catalyst and "
    "Python support enabled. Please rebuild ParaView (or point to a "
    "different build of ParaView) with PARAVIEW_ENABLE_CATALYST and "
    "PARAVIEW_ENABLE_PYTHON set to TRUE")
  return ()
endif()

if (NOT PARAVIEW_USE_MPI)
  message(STATUS
    "${CMAKE_PROJECT_NAME} requires ParaView to be built with MPI support "
    "enabled. Please rebuild ParaView (or point to a different build of "
    "ParaView) with PARAVIEW_USE_MPI set to TRUE")
  return ()
endif ()

# The entries after ParallelMPI are needed for the vtk histograms writer

add_executable(CoProcessingTest CoProcessingTest.cxx)
target_link_libraries(CoProcessingTest
  PRIVATE
    ParaView::PythonCatalyst
    VTK::CommonDataModel
    VTK::ParallelMPI
    VTK::IOImage
    VTK::ViewsContext2D
    VTK::RenderingContext2D
    VTK::ChartsCore
    VTK::png)

=== libple/examples/Makefile ===
CC = mpicc
CPPFLAGS  = -I$(ple_srcdir)/src -I$(ple_build_dir)
CFLAGS  = -O2 -g -Wall
LDFLAGS = 

compile: my_ple_mesh.o my_ple_point_location.o

clean :
	rm *.o

=== debian/changelog ===
code-saturne (6.0.2-2build1) groovy; urgency=medium

  * No-change rebuild against libhdf5-103-1

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 13 May 2020 17:46:36 +0000

code-saturne (6.0.2-2) unstable; urgency=medium

  * Fix FTBFS with GCC-10 (closes: #957095)
  * Patch gcc-10.patch from upstream
  * Fix cspath in /usr/bin/code_saturne
  * Drop build dependency on libxml2-dev

 -- Gilles Filippini <pini@debian.org>  Thu, 09 Apr 2020 19:26:56 +0200

code-saturne (6.0.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patch format-nonliteral.patch (fixed upstream)

 -- Gilles Filippini <pini@debian.org>  Mon, 10 Feb 2020 23:57:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gilles Filippini <pini@debian.org>
-Build-Depends: debhelper (>= 11), dh-exec, dh-python, python-qt4,
- pyqt4-dev-tools, fig2ps, gfortran, autoconf,
- texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra,
+Build-Depends: debhelper (>= 11), dh-exec, dh-python, python3-pyqt5,
+ pyqt5-dev-tools, gfortran, autoconf,
 # To build from upstream SVN source
-  bison, flex, doxygen, graphviz,
+  bison, flex,
 # To help the configure detection on cs lib
   zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.3.0~), mpi-default-dev, libmedc-dev,
-  libxml2-dev, libblas-dev | libatlas-dev, libopenmpi-dev,
-  python, libscotch-dev, tango-icon-theme
+  libblas-dev | libatlas-dev, libopenmpi-dev,
+  python3, libscotch-dev, tango-icon-theme
+Build-Depends-Indep: doxygen, graphviz, fig2ps, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
 Standards-Version: 4.3.0
 Homepage: http://www.code-saturne.org/
 Vcs-Git: https://salsa.debian.org/science-team/code-saturne.git
@@ -23,7 +23,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
  code-saturne-bin (= ${binary:Version}),
  code-saturne-data (= ${source:Version}),
- code-saturne-include (= ${binary:Version}), python-qt4
+ code-saturne-include (= ${binary:Version}), python3-pyqt5
 Recommends: bash-completion, paraview, pdf-viewer, code-saturne-doc
 Suggests: syrthes
 Description: General purpose Computational Fluid Dynamics (CFD) software
@@ -47,7 +47,7 @@
 Package: code-saturne-bin
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python,
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3,
  libxml2-dev, libblas-dev
 Recommends: code-saturne
 Description: General purpose Computational Fluid Dynamics (CFD) software - binaries
@@ -72,7 +72,7 @@
 Package: code-saturne-data
 Priority: optional
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Recommends: code-saturne
 Description: General purpose Computational Fluid Dynamics (CFD) software - data
  The basic capabilities of Code_Saturne enable the handling of either
@@ -96,7 +96,7 @@
 Package: code-saturne-include
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libcgns-dev, libmedc-dev,
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libcgns-dev, libmedc-dev,
  libhdf5-dev, zlib1g-dev, mpi-default-dev, libxml2-dev
 Replaces: code-saturne-data (<< 3.3.2-3)
 Breaks: code-saturne-data (<< 3.3.2-3)

=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%code_saturne-$1.tar.gz%" \
             https://github.com/code-saturne/code_saturne/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## code-saturne 7.0.2+repack

=== build-aux/catalyst/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 cmake_minimum_required(VERSION 3.10)
-PROJECT(CoProcessingTest C CXX)
+PROJECT(CoProcessingTest CXX C)
 
-include(CMakeDependentOption)
-find_package(ParaView REQUIRED)
+# include(CMakeDependentOption)
+find_package(MPI COMPONENTS C CXX)
+find_package(ParaView CONFIG COMPONENTS Catalyst PythonCatalyst)
 
 if (NOT TARGET ParaView::PythonCatalyst)
   message(STATUS

=== debian/changelog ===
code-saturne (7.0.2+repack-1~exp1) experimental; urgency=medium

  * New upstream release
  * Drop python3.patch (fixed upstream)
  * Drop pyrcc.patch (trick handled in d/rules instead)
  * Bump libhdf5-mpi-dev versioned build dependency

 -- Gilles Filippini <pini@debian.org>  Mon, 15 Nov 2021 00:42:15 +0100

code-saturne (6.3.0+repack-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Gilles Filippini <pini@debian.org>  Sat, 02 Jan 2021 20:04:18 +0100

code-saturne (6.2.0+repack-1~exp1) experimental; urgency=medium

  * New upstream release
  * Refresh patches

 -- Gilles Filippini <pini@debian.org>  Mon, 31 Aug 2020 21:46:40 +0200

code-saturne (6.1.1+repack-1~exp2) experimental; urgency=medium

  * Generate pdf files during build-indep

 -- Gilles Filippini <pini@debian.org>  Wed, 01 Jul 2020 10:25:40 +0200

code-saturne (6.1.1+repack-1~exp1) experimental; urgency=medium

  * New upstream release
  * Repack upstream source tarball because it includes generated pdf files
  * Generate these pdf files at build time

 -- Gilles Filippini <pini@debian.org>  Sun, 28 Jun 2020 21:09:41 +0200

code-saturne (6.1.0-1~exp2) experimental; urgency=medium

  * Fix FTBFS when building twice in a row (closes: #959717)

 -- Gilles Filippini <pini@debian.org>  Wed, 06 May 2020 13:09:58 +0200

code-saturne (6.1.0-1~exp1) experimental; urgency=medium

  * New intermediate upstream release
  * Update d/copyright
  * Drop patch gcc-10.patch, fixed upstream
  * New patch python3.patch to fix a python shabang

 -- Gilles Filippini <pini@debian.org>  Mon, 27 Apr 2020 17:39:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # To build from upstream SVN source
   bison, flex,
 # To help the configure detection on cs lib
-  zlib1g-dev, libhdf5-mpi-dev (>= 1.8.8~), libcgns-dev (>= 3.3.0~), mpi-default-dev, libmedc-dev,
+  zlib1g-dev, libhdf5-mpi-dev (>= 1.10.0~), libcgns-dev (>= 3.3.0~), mpi-default-dev, libmedc-dev,
   libblas-dev | libatlas-dev, libopenmpi-dev,
   python3, libscotch-dev, tango-icon-theme
 Build-Depends-Indep: doxygen, graphviz, fig2ps, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra

=== debian/rules ===
#!/usr/bin/make -f

# Which MPI implementation?
# set ARCH_DEFAULT_MPI_IMPL
include /usr/share/mpi-default-dev/debian_defaults

DEB_CONFIGURE_USER_FLAGS := --with-mpi --libexecdir=/usr/lib/ --disable-rpath

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)/libhdf5.so),)
  DEB_CONFIGURE_USER_FLAGS += \
	--with-hdf5-include=/usr/include/hdf5/$(ARCH_DEFAULT_MPI_IMPL) \
	--with-hdf5-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL) \
	--with-mpi-include=/usr/include/$(DEB_HOST_MULTIARCH)/mpi
endif

# Force Python 3 and Qt 5
DEB_CONFIGURE_ENV := PYTHON=/usr/bin/python3 QT_SELECT=5

# Generate PDF files from .fig
# See docs/theory/graphics/README
FIG_FILES = $(wildcard docs/theory/graphics/*.fig)
PDF_FILES = $(FIG_FILES:.fig=.pdf)

# Generate Qt resources with QT_HASH_SEED=0 for reproducibility
export QT_HASH_SEED=0

%.pdf: %.fig
	fig2dev -L pdf $< $@

%:
	dh $@ -B_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/epoch.tex
	rm -f $(PDF_FILES)

override_dh_autoreconf:
	dh_autoreconf sbin/bootstrap

override_dh_auto_configure:
	$(DEB_CONFIGURE_ENV) dh_auto_configure -- $(DEB_CONFIGURE_USER_FLAGS)
	# Drop dpkg-buildflags from ple-config to improve reproducibility
	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e '/^build_$(shell echo $(flags) | tr A-Z a-z)=/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g')//') \
	  _build/libple/ple-config

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep: override_dh_auto_build-arch $(PDF_FILES)
	# Force source date in pdf (instead of compile date)
	/bin/echo -e "$(shell date -d@$(SOURCE_DATE_EPOCH) "+\year=%Y\n\month=%m")" >debian/epoch.tex
	dh_auto_build -- doc

override_dh_auto_install-arch:
	dh_auto_install
	# Restore self.rpath in cs_config.py
	sed -i 's/self\.rpath = "" #/self.rpath =/' debian/tmp/usr/lib/python*/*-packages/code_saturne/cs_config.py
	# Drop dpkg-buildflags from cs_config.py
	sed -i $(foreach flags,CFLAGS CXXFLAGS CPPFLAGS FCFLAGS LDFLAGS,-e "/'$(shell echo $(flags) | tr A-Z a-z)':/s/$(shell dpkg-buildflags --get $(flags) | sed 's:/:\\/:g;s/^$$/^/')//") \
	  debian/tmp/usr/lib/python*/*-packages/code_saturne/cs_config.py

override_dh_auto_install-indep: override_dh_auto_install-arch
	$(MAKE) -C _build install-doc DESTDIR=$(CURDIR)/debian/tmp
	# Fix location of the ple doc and fix paths
	mv debian/tmp/usr/share/doc/ple/doxygen debian/tmp/usr/share/doc/code_saturne/doxygen/ple
	find debian/tmp/usr/share/doc/code_saturne/doxygen/src -type f \
	  -exec grep -q '/usr/share/doc/ple/doxygen' {} \; \
	  -exec sed -i 's:/usr/share/doc/ple/doxygen:/usr/share/doc/code-saturne/doxygen/ple:g' {} \; \
	  -print
	sed -i 's:$(CURDIR)/::g' debian/tmp/usr/share/doc/code_saturne/doxygen/ple/ple.tag

override_dh_install-arch:
	dh_install -a
	dh_python3 -pcode-saturne-include

override_dh_install-indep:
	# Exclude cs_config.py from package code-saturne-data:
	# It should go into code-saturne-include.
	# Exclude extra license file COPYING as well.
	dh_install -i -Xcs_config.py -XCOPYING
	chmod +x debian/code-saturne-data/usr/share/code_saturne/runcase*
	find debian/code-saturne-data -type f \( -name \*.pyc -o -name \*.pyo \) -delete
	dh_python3 -pcode-saturne-data
	# Remove internal doxygen files from code-saturne-doc
	find debian/code-saturne-doc/usr/share/doc/code-saturne/doxygen/src \
	  -type f \( -name _form\* -o -name \*.md5 -o -name \*.map \) -delete

override_dh_installdocs:
	dh_installdocs -A AUTHORS

override_dh_compress:
	dh_compress -X.pdf -X.xml -X.des -X.f90 -X.c -X.tag

=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%code_saturne-$1.tar.gz%" \
             https://github.com/code-saturne/code_saturne/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian debian/orig-tar.sh
